> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Convert a Group to Team > Convert a private channel to a team. Permissions required: `create-team`, `edit-room` ### Changelog | Version | Description | | ------- | ----------- | | 3.13.0 | Added | ## OpenAPI ````json POST /api/v1/groups.convertToTeam { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.convertToTeam": { "post": { "tags": [ "Groups" ], "summary": "Convert a Group to Team", "description": "Convert a private channel to a team. Permissions required: `create-team`, `edit-room`\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 3.13.0 | Added |", "operationId": "post-api-v1-groups.convertToTeam", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "roomId" ], "properties": { "roomId": { "type": "string", "description": "Enter the private channel that you want to convert to a private team.", "example": "JZ8Y2dLfYhsg323Rf" } } }, "examples": { "Example 1": { "value": { "roomId": "JZ8Y2dLfYhsg323Rf" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "team": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "type": { "type": "integer" }, "createdAt": { "type": "string" }, "createdBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "roomId": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "team": { "_id": "6172b15bc563fc000acc462e", "name": "ddd", "type": 1, "createdAt": "2021-10-22T12:40:59.928Z", "createdBy": { "_id": "d26x6zSkaPSe5gCyy", "username": "rod" }, "_updatedAt": "2021-10-22T12:40:59.928Z", "roomId": "h3HLZkQdrWCPg2RN7" }, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Team name exists": { "value": { "success": false, "error": "team-name-already-exists" } }, "Room name is required": { "value": { "success": false, "error": "The parameter \"roomId\" or \"roomName\" is required" } }, "Room not found": { "value": { "success": false, "error": "The required \"roomId\" or \"roomName\" param provided does not match any group [error-room-not-found]", "errorType": "error-room-not-found" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````